libplack-middleware-crossorigin-perl - Plack middleware adding headers to allow CORS

Distribution: Debian 8 (Jessie)
Repository: Debian Main amd64
Package name: libplack-middleware-crossorigin-perl
Package version: 0.010
Package release: 1
Package architecture: all
Package type: deb
Installed size: 36 B
Download size: 16.17 KB
Official Mirror:
Plack is a set of tools similar to Ruby's Rack or Python's Paste for WSGI. It implements the Perl Server Gateway Interface (PSGI) standard interface, which allows developers to decouple their web application framework from the local web server environment. Plack::Middleware::CrossOrigin adds Cross Origin Request Sharing headers used by modern browsers to allow XMLHttpRequest to work across domains. This module will also help protect against CSRF attacks in some browsers. This module attempts to fully conform to the CORS spec, while allowing additional flexibility in the values specified for the of the headers.



    Source package: libplack-middleware-crossorigin-perl

    Install Howto

    1. Update the package index:
      # sudo apt-get update
    2. Install libplack-middleware-crossorigin-perl deb package:
      # sudo apt-get install libplack-middleware-crossorigin-perl


    • /usr/share/doc/libplack-middleware-crossorigin-perl/README
    • /usr/share/doc/libplack-middleware-crossorigin-perl/buildinfo_all.gz
    • /usr/share/doc/libplack-middleware-crossorigin-perl/changelog.Debian.gz
    • /usr/share/doc/libplack-middleware-crossorigin-perl/changelog.gz
    • /usr/share/doc/libplack-middleware-crossorigin-perl/copyright
    • /usr/share/man/man3/Plack::Middleware::CrossOrigin.3pm.gz
    • /usr/share/perl5/Plack/Middleware/


    2014-10-15 - Jonas Smedegaard <> libplack-middleware-crossorigin-perl (0.010-1) unstable; urgency=medium [ upstream ] * New release. + Update to match spec, with only one origin. + Specify minimum perl version. [ Salvatore Bonaccorso ] * Update Vcs-Browser URL to cgit web frontend [ Jonas Smedegaard ] * Fix use canonical URL in Vcs-Git. * Declare compliance with Debian Policy 3.9.6. * Update copyright info: + Add alternate git source URL. * Stop track md5sum of upstream tarball. * Use and (not in watch file. * Stop build-depending explicitly on (recent perl or) libtest-simple-perl: Needed version satisfied by perl even in oldstable.

    2013-03-03 - Jonas Smedegaard <> libplack-middleware-crossorigin-perl (0.009-1) unstable; urgency=low [ upstream ] * New release. [ Salvatore Bonaccorso ] * Change Vcs-Git to canonical URI (git:// [ Jonas Smedegaard ] * Update copyright file: + Fix use pseudo-license and pseudo-comment sections to obey silly restrictions of copyright format 1.0. + Fix use upstream issue tracker as upstream contact. * Bump dephelper compatibility level to 8. * Bump standards-version to 3.9.4.

    2012-05-09 - Jonas Smedegaard <> libplack-middleware-crossorigin-perl (0.007-1) unstable; urgency=low * Initial packaging release. Closes: bug#662863.